import request from '@/utils/request'

// 查询分离培训列表
export function listFlplandsdt(query) {
  return request({
    url: '/bccnew/flplandsdt/listAll',
    method: 'get',
    params: query
  })
}

// 查询分离培训详细
export function getFlplandsdt(id) {
  return request({
    url: '/bccnew/flplandsdt/' + id,
    method: 'get'
  })
}

// 新增分离培训
export function addFlplandsdt(data) {
  return request({
    url: '/bccnew/flplandsdt',
    method: 'post',
    data: data
  })
}

// 修改分离培训
export function updateFlplandsdt(data) {
  return request({
    url: '/bccnew/flplandsdt',
    method: 'put',
    data: data
  })
}

// 修改分离培训
export function updateFlLearnTime(data) {
  return request({
    url: '/bccnew/flplandsdt/updateFlLearnTime',
    method: 'put',
    data: data
  })
}

// 删除分离培训
export function delFlplandsdt(id) {
  return request({
    url: '/bccnew/flplandsdt/' + id,
    method: 'delete'
  })
}

// 导出分离培训
export function exportFlplandsdt(query) {
  return request({
    url: '/bccnew/flplandsdt/export',
    method: 'get',
    params: query
  })
}
